#
# spec file for package openh264
#

# Remember to bump in baselibs.conf too!
%define sover 7

Name:           openh264
Version:        2.3.1
Release:        150400.1.pm.3
Summary:        H.264 codec library
Group:          Productivity/Multimedia/Other
License:        BSD-2-Clause
URL:            http://www.openh264.org/
Source0:        https://github.com/cisco/openh264/archive/v%{version}/%{name}-%{version}.tar.gz
Source99:       baselibs.conf

BuildRequires:  c++_compiler
BuildRequires:  meson
BuildRequires:  nasm
BuildRequires:  pkgconfig

%description
OpenH264 is a codec library which supports H.264 encoding and decoding. It is
suitable for use in real time applications such as WebRTC.

%package -n     lib%{name}-%{sover}
Summary:        Shared library package for %{name}
Group:          System/Libraries

%description -n lib%{name}-%{sover}
This package contains the shared libraries of %{name}

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       lib%{name}-%{sover} = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson \
	--default-library=shared \
	-Dtests=disabled \
	%{nil}
%meson_build

%install
%meson_install

%post -n lib%{name}-%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-%{sover} -p /sbin/ldconfig

%files -n lib%{name}-%{sover}
%license LICENSE
%{_libdir}/libopenh264.so.*

%files devel
%doc README.md
%dir %{_includedir}/wels
%{_includedir}/wels/codec_*.h
%{_libdir}/libopenh264.so
%{_libdir}/pkgconfig/openh264.pc

%changelog
* Wed Sep 21 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 2.3.1:
  + Update SHAREDLIB_MAJORVERSION value in Makefile.
- Changes from version 2.3.0:
  + Decoder bug fix to correct the B-frame order in some case.
  + Fixes to avoid hanging for multi-thread decoding.
  + Some Enhancements and fixes for rate control.
  + Assembly optimization for loongson platform.
  + Some minor bug fixes.
- Bump soname to 7 following upstream changes.
- Drop patches fixed upstream:
  + c96de068fcd435579eeb3c63c132d8b8d182964c.patch
  + 75b9fcd2669c75a997914fd1bdae4f350aca816d.patch
* Sat Feb 19 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 2.2.0:
  + Add support for B-slice error concealment.
  + Thread decoding support for multi-slice frame.
  + SIMD optimization for loongson platform.
  + Support the arm64 compilation on Windows and MacOS platform.
  + Some Bug fixes for B-frame decoding.
  + Some minor bug fixes.
- Switch to meson build system, add meson BuildRequires and macros.
- Add upstream bug fix patches:
  + c96de068fcd435579eeb3c63c132d8b8d182964c.patch: Use b-slice
    type to determine correct picture order as the first priority
    as POC order is not as reliable as based on b-slice
    (gh#cisco/openh264#3482).
  + 75b9fcd2669c75a997914fd1bdae4f350aca816d.patch: meson: fix
    broken shared library with no contents
    (gh#cisco/openh264#3477).
* Thu Feb  3 2022 Bjørn Lie <zaitor@opensuse.org>
- Add baselibs.conf, add missing 32bit lib.
* Wed Jul  1 2020 Bjørn Lie <zaitor@opensuse.org>
- Update to version 2.1.1:
  + Release x86 and x64 libraries for android platform.
  + Bug fixes.
- Bump sover define to 6, following upstream changes.
* Wed Apr  1 2020 zaitor@opensuse.org
- Update to version 2.1.0:
  + Experimentally support for multi-thread decoding (default
    disabled, and may result in random problems if enabled).
  + Assembly optimization for loongson platform.
  + Update meson version to 5.
  + Some minor bug fixes.
- Drop openh264-refix-oss-buzz-bug.patch: Fixed upstream.
* Sat Jul  6 2019 zaitor@opensuse.org
- Initial package for openSUSE.
